Jifty::Test::Email(3)

NAME
Jifty::Test::Email - Test mail notification

SYNOPSIS
  use Jifty::Test::Email;

  mail_ok {
    # ... code
  } { from => 'admin@localhost', body => qr('hello') },
    { from => 'admin@localhost', body => qr('hello again') };

  # ... more code

  # XXX: not yet
  mail_sent_ok { from => 'admin@localhost', body => qr('hello') };

  # you should expect all mails by the end of the test

DESCRIPTION
This is a test helper module for jifty, allowing you to expect mail notification generated during the block or the test.

METHODS

  mail_ok BLOCK HASHREF [, HASHREF ...]
Executes the "BLOCK", and expects it to send a number of emails equal to the number of "HASHREF"s after the "BLOCK". "ok" in Test::Email is used to check if the messages match up to the appropriate hashrefs.

ENDING TESTS
An END block causes the test to "die" if there are uncaught notifications at the end of the test script.